=== debian/changelog ===
kickpass (0.2.0-6ubuntu2) noble; urgency=medium

  * No-change rebuild for libevent t64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Apr 2024 10:15:11 +0200

kickpass (0.2.0-6ubuntu1) mantic; urgency=medium

  * Drop patch 20_add_flags which injects pie flags manually
    pie is enabled by default by gcc. (LP: #2021577)

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Tue, 30 May 2023 16:50:38 +0800

kickpass (0.2.0-6) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/gbp.conf: file created.
  * debian/patches/20_add_flags: created.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Wed, 18 Jan 2023 20:50:56 -0300

kickpass (0.2.0-5) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright: updated packaging copyright years.
  * debian/upstream/metadata:
      - Fixed upstream metadata fields: Repository.
      - Removed obsolete field Name from debian/upstream/metadata (already
        present in machine-readable debian/copyright).
  * debian/watch: updated.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Thu, 05 Jan 2023 16:56:02 -0300

kickpass (0.2.0-4) unstable; urgency=medium

  * debian/control:
      - Added Multi-Arch option with foreign.
      - Bumped Standards-Version to 4.5.1.
      - Updated DH to level 13.
  * debian/copyright: updated packaging copyright years.
  * debian/sources/include-binaries: created to add a file to improve
    autopkgtest.
  * debian/tests/control: improve test. (Closes: #969836)

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Tue, 22 Dec 2020 13:20:09 -0300

kickpass (0.2.0-3) unstable; urgency=medium

  * debian/salsa-ci.yml: allow reprotest failure.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Tue, 24 Dec 2019 02:10:21 +0300

kickpass (0.2.0-2) unstable; urgency=medium

  * debian/control:
      - Added 'Rules-Requires-Root: no' in source stanza.
      - Change Maintainer's email.
      - Change Vcs-* fields for new repository in salsa.
      - Bumped Standards-Version to 4.4.1.
      - Updated DH to level 12.
  * debian/copyright:
      - Change Maintainer's email.
      - Updated packaging copyright years.
  * debian/salsa-ci.yml: created to start CI tests for Salsa.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Mon, 23 Dec 2019 05:22:16 +0300

kickpass (0.2.0-1) unstable; urgency=medium

  * Initial release to Debian (Closes: #913435).

  * Upload sponsored by Mike Gabriel (aka sunweaver).

 -- Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>  Wed, 14 Nov 2018 17:21:41 -0200
