=== debian/control ===
Source: kickpass
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paulo Henrique de Lima Santana (phls) <phls@debian.org>
Build-Depends: check,
               cmake,
               debhelper-compat (= 13),
               libbsd-dev,
               libevent-dev,
               libsodium-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/kickpass/kickpass
Vcs-Browser: https://salsa.debian.org/debian/kickpass
Vcs-Git: https://salsa.debian.org/debian/kickpass.git

Package: kickpass
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: simple password safe
 It keep each password  in a specific safe, protected with modern cryptography.
 Command line interface is splited into different command.
 .
 It has features like:
   * One password to rule them all;
   * Oone password to find them;
   * One password to bring them all
   * Integrated password generator;
   * Full text  metadata with your favorite editor;
   * Direct copy to X selection and clipboard;
   * Strong encryption: AEAD with chacha20 and poly1305.

Package: libkickpass0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: library used by kickpass
 Kickpass is built around this shared library. libkickpass leverage libsodium
 to create safes. Safes are created using authenticated encryption with
 associated data. As of now libkickpass use chacha20 along with poly1305 to
 encrypt and authenticate the safe.

Package: libkickpass-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libkickpass0 (= ${binary:Version}),
Description: library used by kickpass (development files)
 Kickpass is built around this shared library. libkickpass leverage libsodium
 to create safes. Safes are created using authenticated encryption with
 associated data. As of now libkickpass use chacha20 along with poly1305 to
 encrypt and authenticate the safe.
 .
 This package provides the development files.
