=== debian/tests/control ===
Test-Command: HOME=debian/tests; kickpass list
