=== debian/watch ===
version=4
https://github.com/kickpass/kickpass/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
